### Name: mapplot
### Title: Trellis displays on Maps a.k.a. Choropleth maps
### Aliases: mapplot mapplot.formula panel.mapplot prepanel.mapplot
### Keywords: hplot

### ** Examples


library(maps)
library(mapproj)

data(USCancerRates)

mapplot(rownames(USCancerRates) ~ log(rate.male) + log(rate.female),
        data = USCancerRates,
        map = map("county", plot = FALSE, fill = TRUE,
                  projection = "mercator"))

mapplot(rownames(USCancerRates) ~ log(rate.male) + log(rate.female),
        data = USCancerRates,
        map = map("county", plot = FALSE, fill = TRUE,
                  projection = "tetra"),
        scales = list(draw = FALSE))

data(ancestry)

county.map <- 
    map('county', plot = FALSE, fill = TRUE, 
        projection = "azequalarea")

mapplot(county ~ log10(population), ancestry, map = county.map)

## Not run: 
##D 
##D ## this may take a while (should get better area records)
##D 
##D county.areas <- 
##D     area.map(county.map, regions = county.map$names, sqmi = FALSE)
##D     
##D ancestry$density <- 
##D     with(ancestry, population / county.areas[as.character(county)])
##D 
##D mapplot(county ~ log(density), ancestry,
##D         map = county.map, border = NA,
##D         colramp = colorRampPalette(c("white", "black")))
##D 
## End(Not run)




